/*Site todo*/
* {
  box-sizing: border-box;
  font-family: "Montserrat", sans-serif;
  margin: 0;
  padding: 0;
}
/*Corpo*/
body {
  color: #263138;
}
/*Cabeçalho*/
header {
   background-color: #2bc21d84;
   display: flex;
   align-items: center;
   justify-content: space-between;
   padding-left: 80px;
   padding-right: 80px;
   padding-top: 24px;
   padding-bottom: 24px;
}

header nav a {
  color: #ffffff;
  font-weight: 600;
  padding: 32px;
  text-decoration: none;
}

#inicio {
  display: flex;
  align-items: center;
  gap: 32px;
  padding: 24px 80px 128px 80px;
  position: relative;
}

/* From Uiverse.io by barisdogansutcu */ 
button {
 border: none;
 position: relative;
 width: 200px;
 height: 73px;
 padding: 0;
 z-index: 2;
 -webkit-mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='868' width='2500' viewBox='0 0 726 252.17'%3E%3Cpath d='M483.92 0S481.38 24.71 466 40.11c-11.74 11.74-24.09 12.66-40.26 15.07-9.42 1.41-29.7 3.77-34.81-.79-2.37-2.11-3-21-3.22-27.62-.21-6.92-1.36-16.52-2.82-18-.75 3.06-2.49 11.53-3.09 13.61S378.49 34.3 378 36a85.13 85.13 0 0 0-30.09 0c-.46-1.67-3.17-11.48-3.77-13.56s-2.34-10.55-3.09-13.61c-1.45 1.45-2.61 11.05-2.82 18-.21 6.67-.84 25.51-3.22 27.62-5.11 4.56-25.38 2.2-34.8.79-16.16-2.47-28.51-3.39-40.21-15.13C244.57 24.71 242 0 242 0H0s69.52 22.74 97.52 68.59c16.56 27.11 14.14 58.49 9.92 74.73C170 140 221.46 140 273 158.57c69.23 24.93 83.2 76.19 90 93.6 6.77-17.41 20.75-68.67 90-93.6 51.54-18.56 103-18.59 165.56-15.25-4.21-16.24-6.63-47.62 9.93-74.73C656.43 22.74 726 0 726 0z'/%3E%3C/svg%3E") no-repeat 50% 50%;
 mask: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' height='868' width='2500' viewBox='0 0 726 252.17'%3E%3Cpath d='M483.92 0S481.38 24.71 466 40.11c-11.74 11.74-24.09 12.66-40.26 15.07-9.42 1.41-29.7 3.77-34.81-.79-2.37-2.11-3-21-3.22-27.62-.21-6.92-1.36-16.52-2.82-18-.75 3.06-2.49 11.53-3.09 13.61S378.49 34.3 378 36a85.13 85.13 0 0 0-30.09 0c-.46-1.67-3.17-11.48-3.77-13.56s-2.34-10.55-3.09-13.61c-1.45 1.45-2.61 11.05-2.82 18-.21 6.67-.84 25.51-3.22 27.62-5.11 4.56-25.38 2.2-34.8.79-16.16-2.47-28.51-3.39-40.21-15.13C244.57 24.71 242 0 242 0H0s69.52 22.74 97.52 68.59c16.56 27.11 14.14 58.49 9.92 74.73C170 140 221.46 140 273 158.57c69.23 24.93 83.2 76.19 90 93.6 6.77-17.41 20.75-68.67 90-93.6 51.54-18.56 103-18.59 165.56-15.25-4.21-16.24-6.63-47.62 9.93-74.73C656.43 22.74 726 0 726 0z'/%3E%3C/svg%3E") no-repeat 50% 50%;
 -webkit-mask-size: 100%;
 cursor: pointer;
 background-color: transparent;
 transform: translateY(8px)
}

button:after {
 content: '';
 position: absolute;
 left: 0;
 right: 0;
 bottom: 0;
 box-shadow: 0px 0 0 0 white;
 transition: all 2s ease;
}

button:hover:after {
 box-shadow: 0px -13px 56px 12px #ffffffa6;
}

button span {
 position: absolute;
 width: 100%;
 font-size: 15px;
 font-weight: 100;
 left: 50%;
 top: 39%;
 letter-spacing: 3px;
 text-align: center;
 transform: translate(-50%,-50%);
 color: black;
 transition: all 2s ease;
}

button:hover span {
 color: white;
}

button:before {
 content: '';
 position: absolute;
 width: 0;
 height: 100%;
 background-color: black;
 left: 50%;
 top: 50%;
 transform: translate(-50%, -50%);
 transition: all 1s ease;
}

button:hover:before {
 width: 100%;
}



h1,
h2 {
  font-weight: 600;
  font-size: 32px;
  margin-bottom: 32px;
}

.paragrafo {
  line-height: 150%;
  margin-bottom: 32px;
  font-size: 20px;
}

.absolute {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
  z-index: -10;
}

#conteudo {
  display: flex;
  align-items: center;
  gap: 64px;
  padding: 64px 80px;
}

/* From Uiverse.io by gharsh11032000 */ 
.card {
  position: relative;
  width: 300px;
  height: 200px;
  background-color: #f2f2f2;
  border-radius: 10px;
  display: flex;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  perspective: 1000px;
  box-shadow: 0 0 0 5px #ffffff80;
  transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.card svg {
  width: 48px;
  fill: #333;
  transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.card:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 16px rgba(255, 255, 255, 0.2);
}

.card__content {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  padding: 20px;
  box-sizing: border-box;
  background-color: #f2f2f2;
  transform: rotateX(-90deg);
  transform-origin: bottom;
  transition: all 0.6s cubic-bezier(0.175, 0.885, 0.32, 1.275);
}

.card:hover .card__content {
  transform: rotateX(0deg);
}

.card__title {
  margin: 0;
  font-size: 24px;
  color: #333;
  font-weight: 700;
}

.card:hover svg {
  scale: 0;
}

.card__description {
  margin: 10px 0 0;
  font-size: 14px;
  color: #777;
  line-height: 1.4;
}


#portifolio {
  padding: 64px 80px;
  text-align: center;
}

#portifolio .paragrafo {
  max-width: 950px;
  margin: 0 auto;
}

#duvidas {
  display: flex;
  align-items: center;
  gap: 74px;
  padding: 64px 80px 64px 15px;
}

.duvida {
  position: relative;
}

.duvida h3 {
  border: 2px solid #3c1a70;
  border-radius: 8px;
  cursor: pointer;
  padding: 24px;
}

.duvida img {
  position: absolute;
  top: 32px;
  right: 24px;
}

.duvida .paragrafo {
  border-right: 1px solid #3c1a70;
  border-bottom:  1px solid #3c1a70;
  border-left:  1px solid #3c1a70;
  border-radius: 0 0 8px 8px;
  margin-top: -8px;
  padding: 0 24px;
  height: 0;
  opacity: 0;
  overflow: hidden;
  transition: 0.2s;
}

.duvida.ativa .paragrafo {
  height: fit-content;
  opacity: 1;
  padding: 24px;
}

footer {
  background-color: #2bc21d84;
  display: flex;
  justify-content: space-between;
  gap: 80px;
  padding: 64px 80px;
}

footer img,
.footer .titulo {
  display: block;
  font-weight: 600;
  margin-bottom: 24px;
}

footer nav a {
  color: #263138;
  display: block;
  margin-bottom: 16px;
  text-decoration: none;
}

footer p {
  margin-bottom: 16px;
  max-width: 350px;
}

#copyright {
  background-color: #263138;
  color: #ffffff;
  padding: 24px;
  text-align: center;
}

#copyright a {
  color: #a16af3;
}